Subject: Re: atoi() missing on Win98, perl extension breaks
From: Yitzchak Scott-Thoennes <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Jan 2005 15:45:20 -0800

On Mon, Jan 10, 2005 at 10:22:11PM +0100, Gerrit P. Haase wrote:
> Christopher Faylor wrote:
> 
> >>>All I needed to trigger it was "perl -V".
> >>
> >>Hmmm, atoi() is not available on Win98/ME?  Strange.
> >
> >
> >Why would perl be finding atoi in ntdll.dll?  It should be coming from
> >the cygwin DLL shouldn't it?
> 
> Yes, as it used to be, it is used all over the place in the perl
> sources.  I'm a little clueless now.

Did you verify that it was Win32CORE at fault by trying a perl built
without it?

Perl itself doesn't use atoi, nor does Win32CORE.xs.  I'm guessing
Win32CORE is calling a win32 routine that isn't fully supported
on win9x.  One of:

WideCharToMultiByte
CloseHandle
CopyFileA
CreateProcessA
FindClose
FindFirstFileA
FormatMessageA
FreeLibrary
GetComputerNameA
GetCurrentDirectoryA
GetDriveTypeA
GetFullPathNameA
GetLastError
GetProcAddress
GetShortPathNameA
GetTickCount
GetUserNameA
GetVersionExA
GetVolumeInformationA
LoadLibraryA
LookupAccountNameA
SetLastError
Sleep

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/